using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class tbkUnitInValueAddIndexes : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_UnitInValues_FieldId",
                schema: "unit",
                table: "UnitInValues");

            migrationBuilder.CreateIndex(
                name: "IX_UnitInValues_FieldId_ValueId",
                schema: "unit",
                table: "UnitInValues",
                columns: new[] { "FieldId", "ValueId" });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_UnitInValues_FieldId_ValueId",
                schema: "unit",
                table: "UnitInValues");

            migrationBuilder.CreateIndex(
                name: "IX_UnitInValues_FieldId",
                schema: "unit",
                table: "UnitInValues",
                column: "FieldId");
        }
    }
}
